package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.search.PlatformCashAccountRecordSearch;
import com.yonge.cooleshow.biz.dal.entity.PlatformCashAccountRecord;
import com.yonge.cooleshow.biz.dal.vo.PlatformCashAccountRecordSummaryVo;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 平台账户流水表(PlatformCashAccountRecord)表数据库访问层
 *
 * @author zx
 * @since 2022-07-21 10:32:06
 */
public interface PlatformCashAccountRecordDao extends BaseMapper<PlatformCashAccountRecord> {

    int insertBatch(@Param("entities") List<PlatformCashAccountRecord> entities);
    
    IPage<PlatformCashAccountRecord> queryPage(@Param("page") IPage<PlatformCashAccountRecord> page, @Param("param") PlatformCashAccountRecordSearch query);
    
    PlatformCashAccountRecordSummaryVo querySummary(@Param("param") PlatformCashAccountRecordSearch query);
    
    List<PlatformCashAccountRecord> queryByBizTypeAndPaymentDays(@Param("bizType")String bizType, @Param("paymentDays")int paymentDays);
}

