package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 账户流水枚举
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum AccountBizTypeEnum implements BaseEnum<String, AccountBizTypeEnum> {
    PRACTICE("陪练课", InOrOutEnum.IN),
    LIVE("直播课", InOrOutEnum.IN),
    VIDEO("视频课", InOrOutEnum.IN),
    MUSIC("乐谱", InOrOutEnum.IN),
    MALL("商城购买", InOrOutEnum.IN),
    WITHDRAWAL("结算", InOrOutEnum.OUT),

    LIVE_SHARE("直播课分润", InOrOutEnum.IN),
    VIDEO_SHARE("视频课分润", InOrOutEnum.IN),
    MUSIC_SHARE("乐谱分润", InOrOutEnum.IN),
    VIP_SHARE("会员分润", InOrOutEnum.IN),
    MALL_SHARE("商品分润", InOrOutEnum.IN),


    //老师账户暂未记录
    PIAON_ROOM("琴房充值", InOrOutEnum.OUT),

    ;
    @EnumValue
    private String code;
    private String msg;
    //收入、支出
    private InOrOutEnum inOrOut;

    AccountBizTypeEnum(String msg, InOrOutEnum inOrOut) {
        this.code = this.name();
        this.msg = msg;
        this.inOrOut = inOrOut;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

    public InOrOutEnum getInOrOut() {
        return this.inOrOut;
    }
}
