package com.yonge.cooleshow.biz.dal.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yonge.cooleshow.biz.dal.dao.PlatformCashAccountRecordDao;
import com.yonge.cooleshow.biz.dal.dto.search.PlatformCashAccountRecordSearch;
import com.yonge.cooleshow.biz.dal.entity.PlatformCashAccountRecord;
import com.yonge.cooleshow.biz.dal.service.PlatformCashAccountRecordService;
import com.yonge.cooleshow.biz.dal.vo.PlatformCashAccountRecordSummaryVo;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 平台账户流水表(PlatformCashAccountRecord)表服务实现类
 *
 * @author zx
 * @since 2022-07-21 10:32:07
 */
@Service("platformCashAccountRecordService")
public class PlatformCashAccountRecordServiceImpl extends ServiceImpl<PlatformCashAccountRecordDao, PlatformCashAccountRecord> implements PlatformCashAccountRecordService {

    private final static Logger log = LoggerFactory.getLogger(PlatformCashAccountRecordServiceImpl.class);

    @Override
    public PlatformCashAccountRecordDao getDao() {
        return this.baseMapper;
    }

	@Override
	public IPage<PlatformCashAccountRecord> queryPage(IPage<PlatformCashAccountRecord> page, PlatformCashAccountRecordSearch query) {
		return getDao().queryPage(page, query);
	}

	@Override
	public PlatformCashAccountRecordSummaryVo querySummary(PlatformCashAccountRecordSearch query) {
		return getDao().querySummary(query);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean updateWaitRecord() {
		//根据不同类型(业务类型：PRACTICE、陪练课 LIVE、直播课 VIDEO、视频课 MUSIC、乐谱)查询超过账期待结算的记录
		
		//getDao().queryByBizTypeAndPaymentDays(bizType, paymentDays);
		
		return false;
	}

}

